%define pkgver %(echo %version | tr -d .)
Name:          mbrola
Version:       3.3
Release:       2mamba
Summary:       A speech synthesizer based on the concatenation of diphones
Group:         System/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://tcts.fpms.ac.be/synthesis/
Source:        https://github.com/numediart/MBROLA.git/%{version}/MBROLA-%{version}.tar.bz2
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
License:       Affero GNU Public License
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
MBROLA is a speech synthesizer based on the concatenation of diphones. It takes a list of phonemes as input, together with prosodic information (duration of phonemes and a piecewise linear description of pitch), and produces speech samples on 16 bits (linear), at the sampling frequency of the diphone database used (it is therefore NOT a Text-To-Speech (TTS)synthesizer, since it does not accept raw text as input).

%prep
%setup -q -n MBROLA-%{version}

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m0755 Bin/mbrola %{buildroot}%{_bindir}/mbrola

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/mbrola
#%{_datadir}/mbrola/en1
#%{_datadir}/mbrola/it3
#%{_datadir}/mbrola/it4
%doc LICENSE

%changelog
* Thu Feb 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3-2mamba
- build using tag instead of master

* Thu Feb 11 2021 Automatic Build System <autodist@mambasoft.it> 3.3-1mamba
- automatic version update by autodist

* Sun Oct 27 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.02b.20191026git-2mamba
- remove voices from package

* Sat Oct 26 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.02b.20191026git-1mamba
- update to 3.02b.20191026git

* Mon Aug 05 2013 Automatic Build System <autodist@mambasoft.it> 3.01h-2mamba
- automatic rebuild by autodist

* Wed Sep 23 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.01h-1mamba
- package created by autospec
